AnnotationVisitorTee (cglib (Version 3.1))
Date: 2015-09-15

net.sf.cglib.transform

## Class AnnotationVisitorTee

- java.lang.Object
- - AnnotationVisitor
  - - net.sf.cglib.transform.AnnotationVisitorTee

-     public class AnnotationVisitorTee
      extends AnnotationVisitor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationVisitorTee(AnnotationVisitor av1, AnnotationVisitor av2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AnnotationVisitor` | `getInstance(AnnotationVisitor av1, AnnotationVisitor av2)`
    `void` | `visit(java.lang.String name, java.lang.Object value)`
    `AnnotationVisitor` | `visitAnnotation(java.lang.String name, java.lang.String desc)`
    `AnnotationVisitor` | `visitArray(java.lang.String name)`
    `void` | `visitEnd()`
    `void` | `visitEnum(java.lang.String name, java.lang.String desc, java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationVisitorTee

          public AnnotationVisitorTee(AnnotationVisitor av1,
                              AnnotationVisitor av2)

  - ### Method Detail

    - #### getInstance

          public static AnnotationVisitor getInstance(AnnotationVisitor av1,
                                      AnnotationVisitor av2)

    - #### visit

          public void visit(java.lang.String name,
                   java.lang.Object value)

    - #### visitEnum

          public void visitEnum(java.lang.String name,
                       java.lang.String desc,
                       java.lang.String value)

    - #### visitAnnotation

          public AnnotationVisitor visitAnnotation(java.lang.String name,
                                          java.lang.String desc)

    - #### visitArray

          public AnnotationVisitor visitArray(java.lang.String name)

    - #### visitEnd

          public void visitEnd()

Copyright (c) 2001 - Apache Software Foundation